## cascading.tuple.hadoop.util
Class GroupingPartitioner

    java.lang.Object
      cascading.tuple.util.TupleHasher
          cascading.tuple.hadoop.util.HasherPartitioner
              cascading.tuple.hadoop.util.GroupingPartitioner

All Implemented Interfaces:
  Serializable, JobConfigurable, Partitioner<Tuple,Tuple>

    public class GroupingPartitioner

extends HasherPartitioner
implements Partitioner<Tuple,Tuple>

GroupingPartitioner is a Partitioner based on the hashCode of the tuple. It honors custom Hasher implementations if present.

See Also:
  Serialized Form

Constructor Summary
`GroupingPartitioner()`

Method Summary
`int` `getPartition(Tuple key, Tuple value, int numReduceTasks)`

Methods inherited from class cascading.tuple.hadoop.util.HasherPartitioner
`configure`

Methods inherited from class cascading.tuple.util.TupleHasher
`hashCode, initialize, isNull, merge, wrapTuple`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Constructor Detail

### GroupingPartitioner

    public GroupingPartitioner()

Method Detail

### getPartition

    public int getPartition(Tuple key,
                            Tuple value,
                            int numReduceTasks)

  Specified by:
    `getPartition` in interface `Partitioner<Tuple,Tuple>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.